
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java 实现责任链(Chain of Responsibility)模式 / 憋错料</title>

    <meta name="description" content="Java 实现责任链(Chain of Responsibility)模式 类图 /** * 抽象责任 * @author stone * */ public abstract class IFilter { private IFilter successor; public IFilter getSuccessor() { return successor; } public void setSuccessor(IFilter successor) { this.successor = successor; } public abstract void handleF">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Java 实现责任链(Chain of Responsibility)模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>类图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMTExNzI1MTI3MDU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1wM2QyMXNjRFExTmc9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<pre>/**
 * 抽象责任
 * @author stone
 *
 */
public abstract class IFilter {
	private IFilter successor;

	public IFilter getSuccessor() {
		return successor;
	}

	public void setSuccessor(IFilter successor) {
		this.successor = successor;
	}

	public abstract void handleFilter();

	public abstract void handleFilter2();
}</pre>
<pre>/**
 * 具体责任
 * @author stone
 *
 */
public class ConcreteFilter extends IFilter {

	private String name;
	public ConcreteFilter(String name) {
		this.name = name;
	}

	@Override
	public void handleFilter() {
		/*
		 * 自己先处理，如有后继者，再由它处理一次
		 */
		System.out.println(name + &quot; 处理了请求&quot;);
		if (getSuccessor() != null) {
			getSuccessor().handleFilter();
		}
	}

	@Override
	public void handleFilter2() {
		/*
		 * 有后继者就后继者处理, 否则自己处理
		 */
		if (getSuccessor() != null) {
			getSuccessor().handleFilter2();
		} else {
			System.out.println(name + &quot; 处理了请求&quot;);
		}
	}
}
</pre>
<pre>/*
 * 责任链(Chain of Responsibility)模式		行为型模式
 * 将责任一级一级传递给后继者，直至某一个后继者处理了
 * 行为表现在：责任的传递，需要是一个链一个
 */
public class Test {
	public static void main(String[] args) {
		IFilter filter1 = new ConcreteFilter(&quot;permission-filter&quot;);//权限过滤
		IFilter filter2 = new ConcreteFilter(&quot;suffix-filter&quot;);//后缀名过滤
		IFilter filter3 = new ConcreteFilter(&quot;style-filter&quot;);//风格过滤
		filter1.setSuccessor(filter2);
		filter2.setSuccessor(filter3);
		System.out.println(&quot;------以下是每一个处理者(包括后继者)都处理了, 顺序也是一级一级的传递------&quot;);
		filter1.handleFilter();

		System.out.println(&quot;------以下是交由最后一个后继者处理------&quot;);
		filter1.handleFilter2();

	}
}
</pre>
<p>打印</p>
<pre>------以下是每一个处理者(包括后继者)都处理了, 顺序也是一级一级的传递------
permission-filter 处理了请求
suffix-filter 处理了请求
style-filter 处理了请求
------以下是交由最后一个后继者处理------
style-filter 处理了请求
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:24:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e8%ae%be%e8%ae%a1%e6%a8%a1%e5%bc%8f/" title="设计模式">设计模式</a>, <a href="https://www.biecuoliao.com/tag/%e8%b4%a3%e4%bb%bb%e9%93%bechain-of-responsi/" title="责任链chain of responsi">责任链chain of responsi</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Java 实现责任链(Chain of Responsibility)模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xWbrrM.html" rel="bookmark">C&plus;&plus;设计模式实现--职责链&lpar;Chain of Responsibility&rpar;模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 概述 职责链模式: 使多个对象都有机会处理请求,从而避免请求的发送者和接收者之间的耦合关系.将这些对象连成一条链,并沿着这条链传递该请求,直到有一个对象处理它为止. 二. 举个例子 员工要求加薪 公司的管理者一共有三级:总经理.总监.经理,如果一个员工要求加薪,应该向主管的经理申请,如果加薪的数量在经理的职权内,那么经理可以直接批准,否则将申请上交给总监.总监的处理方式也一样,总经理可以处理所有请求.这就是典型的职责链模式,请求的处理形成了一条链,直到有一个对象处理请求. 结构图如下: 假			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEezwxM.html" rel="bookmark">c&plus;&plus; 行为型模式-责任链&lpar;Chain of Responsibility&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1) 意图 使多个对象连成一条链,沿着这条链传递请求,直到有个对象处理它为止. 2) 结构 其中: Handler定义一个处理请求的接口 ConcreteHandler处理它所负责的请求 Client向链上具体处理提交请求 3) 适用性 有多个对象可以处理一个请求,哪个对象处理该请求运行时刻自动确定 想在不明确指定接收者的情况下向多个对象中的一个提交一个请求 可处理一个请求的对象集合应被动态指定 4) 举例 1 #include &lt;iostream&gt; 2 #include &lt;list&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nEkVvM.html" rel="bookmark">20 关卡设计-责任链&lpar;Chain of Responsibility&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /// &lt;summary&gt; 2 /// 处理信息的接口 3 /// &lt;/summary&gt; 4 public abstract class Handler { 5 6 /// &lt;summary&gt; 7 /// 下一个请求接收者 8 /// &lt;/summary&gt; 9 protected Handler m_NextHandler = null; 10 11 public Handler(Handler theNextHandler) { 12 m_NextHa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPNJjv3.html" rel="bookmark">Chain of Responsibility模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				消息传递是面向对象开发中经常用到的机制,例如异常的传递,如果当前函数/类无法处理异常,可以将其抛到上一层.消息传递类似,如果一个类收到消息,如果当前类无法处理,可以将消息按照预先定义好的路径传递下去,直到有类可以处理这个消息.这就是Chain of Responsibility模式. Handle类中持有自己的指针/引用,指向某一个派生类.如果当前类无法处理消息,则调用派生类来处理. 实现: Handle.h #ifndef _HANDLE_H_ #define _HANDLE_H_ class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz1oj84.html" rel="bookmark">Java设计模式の责任链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在阎宏博士的&lt;JAVA与模式&gt;一书中开头是这样描述责任链(Chain of Responsibility)模式的: 责任链模式是一种对象的行为模式.在责任链模式里,很多对象由每一个对象对其下家的引用而连接起来形成一条链.请求在这个链上传递, 直到链上的某一个对象决定处理此请求.发出这个请求的客户端并不知道链上的哪一个对象最终处理这个请求, 这使得系统可以在不影响客户端的情况下动态地重新组织和分配责任. 从击鼓传花谈起 击鼓传花是一种热闹而又紧张的饮酒游戏.在酒宴上宾客依次坐定位置,由一人击鼓,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXoDwq4.html" rel="bookmark">java 设计模式 -- 责任链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式 – 责任链模式 介绍: 责任链模式是一种动态行为模式,有多个对象,每一个对象分别拥有其下家的引用.连起来形成一条链.待处理对象则传到此链上,在此链进行传递,且待处理对象并不知道此会被链上的哪个对象处理,这使得我们能够动态的添加链上的对象而且分配责任. 纯责任链和非纯责任链 责任链分为两种.纯责任链和非纯责任链. 纯责任链是待处理对象request在处理对象handler链上传递,每一个处理对象handler处理request的一部分,到终于处理完毕.非纯责任链则是待处理对象reques			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgnYen4.html" rel="bookmark">Java实现责任链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				责任链模式: 将接受者对象连成一条链,并在该链上传递请求,直到一个几首这对象处理它.通过让更多对象有机会处理请求,避免了请求发送者和接受者之间的耦合. 责任链模式的优缺点: 优点:高内聚,低耦合.业务变更,新增一级处理时,只需要新增一个类即可.符合我们开闭原则(扩展开发,变更关闭). 缺点:时间,内存的效果相对较大.java的AWT对责任链模式的抛弃,去拥抱了观察者模式. 应用: Java异常处理机制 JavaScript事件模型 JavaEE的Filter拦截器 SpringSecurity 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AeenZ4.html" rel="bookmark">我的Java设计模式-责任链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天来说说程序员小猿和产品就关于需求发生的故事.前不久,小猿收到了产品的需求. 产品经理:小猿,为了迎合大众屌丝用户的口味,我们要放一张图,要露点的. 小猿:......露点?你大爷的,让身为正义与纯洁化身的我做这种需求,还露点. 产品经理:误会误会,是放一张暴露一点点的,尺寸不大. 小猿:尼玛~能说清楚些吗,需求模棱两可的.不干,我要上报boss. 产品经理也一阵无语,这豆丁的事还上报boss.话说这上报也得走程序是吧,技术经理就不干了,&quot;凭什么要跳过我,得经过我才能到boss&quot;.咦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35q2DX3.html" rel="bookmark">java设计模式--责任链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				责任链模式:将能够处理同一类请求的对象连成一条链,如果不能处理则传递给链上的下一个对象. //请假对象 public class QingjiaRequest { private String name; private int days; private String reason; public QingjiaRequest(String name, int days, String reason) { this.name = name; this.days = days; this.rea			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41orX0.html" rel="bookmark" class="title">Android Studio代码着色插件</a>
					<div>
						Android Studio代码着色插件 前言:半个多月没写博客了,放了个假期,这人才缓过来神,懒的啥都不想干,可算是明白一句话的意思了:玩物丧志啊!好在公司项目赶的紧,不想干活都不行,强行撸上正轨- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvegP0.html" rel="bookmark" class="title">WireShark黑客发现之旅（3）&mdash;Bodisparking恶意代码</a>
					<div>
						WireShark黑客发现之旅(3)—Bodisparking恶意代码 聚锋实验室 · 2015/07/21 10:41 作者:Mr.Right.Evancss.K0r4dji 申明:文中提到的攻击方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGnzY3.html" rel="bookmark" class="title">民间扩大发射点历史搞活撒谎删节号</a>
					<div>
						http://www.jiaoyou8.com/friends_diary/bishao32/0_0_0/view_0011044507_no_0_0.html http://www.jiaoyou8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ooDW0.html" rel="bookmark" class="title">JAVA&lowbar;TransformIO</a>
					<div>
						1 import java.io.*; 2 public class TestTransForm1 { 3 public static void main(String[] args) { 4 try ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME87OK4.html" rel="bookmark" class="title">java多线程系列1--线程实现与调度</a>
					<div>
						java的重要功能之一就是内部支持多线程,这一系列文章将详细剖析java多线程的基础知识 多线程概述 多线程引入 程序只有一个执行流程,所以这样的程序就是单线程程序. 假如一个程序有多条执行流程,那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvxGa3.html" rel="bookmark" class="title">Linux之Raid&comma;mdadm在线详解</a>
					<div>
						介绍: RAID(RedundantArry of Independent Disks)独立冗余阵列,旧称(Redundant Arry of Inexpensive Disks)廉价冗余阵列,其主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nad6y3.html" rel="bookmark" class="title">代码组织与重构原则</a>
					<div>
						1.正交分解原则,拥有三原色可以组装出所有的颜色,如果不是原色的话则需要拥有更多.将代码陈述逻辑分解成功能抽象的部分,能最大限度提供重用,简化陈述,正如哲学和诗歌能简化文章表达一样. 2. 迭代原则化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lerPZ3.html" rel="bookmark" class="title">书写定时任务的若干要领方法</a>
					<div>
						1.1 书写定时任务的若干要领方法 为定时任务规则加必要的注释. 执行shell脚本任务前加/bin/sh. 定时任务命令或脚本结尾加&gt;/dev/null 2&gt;&amp;1或者&amp;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35ANnV3.html" rel="bookmark" class="title">将项目从JBOSS 6 迁移到 JBOSS 7所遇到的问题</a>
					<div>
						以下内容只是以笔记形式记录,以防再次折腾,同时提供一个借鉴: 1.项目中的数据源使用的是JBOSS的JNDI,在6.7两个版本中,配置差别较大,具体配置方法,资料配置较多,我这里不重复说(可参考htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWKzj3.html" rel="bookmark" class="title">解决 configure&period;ac&colon;17&colon; error&colon; possibly undefined macro&colon; AC&lowbar;PROG&lowbar;LIBTOOL</a>
					<div>
						安装时出现configure.ac:17: error: possibly undefined macro: AC_PROG_LIBTOOL If this token and others are  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZGkE3.html" rel="bookmark" class="title">WCF 4&period;0 进阶系列 -- 随笔汇总</a>
					<div>
						WCF4.0 进阶系列–前言 WCF4.0 进阶系列--第一章 WCF简介 WCF4.0进阶系列--第二章 寄宿WCF服务 WCF4.0进阶系列--第三章 构建健壮的程序和服务 WCF4.0进阶系列- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xa7O73.html" rel="bookmark" class="title">2017河南省考&mdash;&mdash;必备时政热词50个（三）</a>
					<div>
						来源微信:河南省人事考试查看 11.[党面临的&quot;四大考验&quot;] 执政考验.改革开放考验.市场经济考验.外部环境考验. 12.[党面临的&quot;四大危险&quot;] 精神懈怠的危 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2EPZ0.html" rel="bookmark" class="title">java面试问题分类</a>
					<div>
						1.io/nio2.多线程3.集合.线程安全的集合(vector,statck,hashTable,concurrentHashMap)4.类的加载顺序,静态块 构造函数 静态方法的加载顺序5.jvm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jrkGA0.html" rel="bookmark" class="title">开发一个App要100万&quest;用互联网思维只要1万</a>
					<div>
						近期经常看到一些关于开发一个App要多少钱的文章出来,有的说App开发要100万,有的说要60万,其实这个不叫开发App,那叫做项目或者创业开公司要多少钱才对,而这种情况下之所以要这么多钱,也是基于一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RjPa90.html" rel="bookmark" class="title">并行批处理多个文件 matlab</a>
					<div>
						  %初始化matlab并行运行环境 % Initialize Matlab Parallel Computing Environment CoreNum=2; %设定机器CPU核心数量,我的机器是双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vAxkR0.html" rel="bookmark" class="title">JAVA中用 SQL语句操作小结</a>
					<div>
						1.添加记录(INSERT) 使用SQL语句的INSERT命令可以向数据库中插入记录,INSERT命令的基本形式为: INSERT INTO 表名 [(字段名1,字段名2-)] VALUES (值1, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ea7nw0.html" rel="bookmark" class="title">mysql replication principle--转</a>
					<div>
						原文地址:http://www.codeweblog.com/mysql-replication-principle/ 1, the replication process Mysql replica ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YWvYv4.html" rel="bookmark" class="title">keepalived&plus;nginx反向代理访问后端web服务器</a>
					<div>
						 架设web服务器通过nginx反向代理访问,并通过keepalived配置nginx反向代理服务器和nginxweb 服务器的故障转移 1.系统:Centos6.6 2.反向代理:Keepalive ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnBLp3.html" rel="bookmark" class="title">Android后台服务拍照的解决方案</a>
					<div>
						一.背景介绍 最近在项目中遇到一个需求,实现一个后台拍照的功能.一开始在网上寻找解决方案,也尝试了很多种实现方式,都没有满意的方案.不过确定了难点:即拍照要先预览,然后再调用拍照方法.问题也随之而来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jwrLo3.html" rel="bookmark" class="title">调试console程序时，设置argc and argv</a>
					<div>
						printf(&quot;%s\n&quot;,argv[0]); printf(&quot;%s\n&quot;,argv[1]); printf(&quot;%s\n&quot;,argv[2]) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
